## EDataBookFactory

EDataBookFactory — The main addressbook server object

## Functions

EDBusServer * | e_data_book_factory_new ()

## Types and Values

#define | EDS_ADDRESS_BOOK_MODULES
#define | EDS_SUBPROCESS_BOOK_PATH

## Object Hierarchy

        GObject
        ╰── EDBusServer
            ╰── EDataFactory
                ╰── EDataBookFactory

## Includes

    #include <libedata-book/libedata-book.h>

## Description

This class handles incomming D-Bus connections and creates the EDataBook layer for server side addressbooks to communicate with client side EBookClient objects.

## Functions

### e_data_book_factory_new ()

    EDBusServer *
    e_data_book_factory_new (gint backend_per_process,
                             GCancellable *cancellable,
                             GError **error);

## Types and Values

### EDS_ADDRESS_BOOK_MODULES

    #define EDS_ADDRESS_BOOK_MODULES "EDS_ADDRESS_BOOK_MODULES"

This environment variable configures where the address book factory loads its backend modules from.

### EDS_SUBPROCESS_BOOK_PATH

    #define EDS_SUBPROCESS_BOOK_PATH "EDS_SUBPROCESS_BOOK_PATH"

This environment variable configures where the address book factory subprocess is located in.